// stdafx.h : include file for standard system include files,
// or project specific include files that are used frequently, but
// are changed infrequently
//

 		
//		Statistics for Dynamic Networks - Header
//		Chris Briglio



//    Program Hub Header
//    Allow access to seperate source files


#pragma once

#include "targetver.h"

#include <iostream>

#include <utility>

#include <string>

#include <math.h>

#include <fstream>

#include <algorithm>

#include <iomanip>

#include <sstream>

#include <windows.h>

#include <regex>

#include <stdio.h>

#include <stdlib.h>

#include "boost/algorithm/string/case_conv.hpp"

 //------------------------------------------------------------------------------GLOBAL VARIABLES-------------------------------------------------------------------------------------//

 //-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------//

extern int num_nodes;

extern int txt_index;

int const max_amount =  9999; 

extern std::string infilename;

extern std::string outfilename;

extern std::string filetype;

extern std::string exitmask;

extern std::string inputmode;

extern std::string folderPath;

extern std::string temp;

extern std::string extension;


 //------------------------------------------------------------------------------GLOBAL FUNCTION HEADERS-------------------------------------------------------------------------------------//

 //-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------//

double sqr(double value);

int LocationGenerator(bool run);

bool checkEXT(std::string& s);

int DynamicStatistics(std::string infile,double run_time,bool run);

int StatisticsSummary();

int SpreadsheetCreator();

int SpreadsheetCreator_STATIC();

bool dirExists(const std::string& dirName_in);

void create_folder(std::string path_temp);

bool fileExists(const std::string& filename);

int StaticStatistics();

int StatisticsSummary_STATIC();
